@import 'index.scss';

:host {
    width: 100%;
    height: 100%;
    
    .orders-container {
        height: 100%;
        padding: 32px 44px;
            .page-name {
                @include cy-bold(36px, $black, 75px);
                margin-bottom: 52px;
            }

        table {
            width: 100%;
            max-width: 1440px;
            border-spacing: 4px;
            border-collapse: separate;
                thead {
                    @include roboto-slab-regular(20px, $black, 30px);
                    th {
                        text-align: center;
                    }
                }
                tbody {
                    @include roboto-slab-regular(16px, $black, 30px);
                    background-color: $white; 
                    width: 100%;
                        tr {
                            &:last-child {
                                background-color: $light-orange;
                            }
                        }
                        td {
                            text-align: center;  
                        }
                }
        }

        .anticon-edit, .anticon-delete {
            padding: 0px 5px;
            cursor: pointer;
        }
    }
}

// *** style customs elements *** //

::ng-deep {
    .ant-checkbox-checked .ant-checkbox-inner {
        border-color: $orange;
        background-color: $orange;
        outline: none;
    }
    .ant-checkbox-wrapper:hover .ant-checkbox-inner, .ant-checkbox:hover .ant-checkbox-inner {
        border-color: $orange;
    }
    .ant-checkbox-wrapper:focus-within .ant-checkbox-inner, .ant-checkbox:focus-within .ant-checkbox-inner {
        border-color: $orange;
    }
    .ant-checkbox-checked::after {
        border-color: $orange;
    }
    .ant-select-open .ant-select-selection {
        border-color: $orange;
    }
    .ant-select-selection:hover {
        border-color: $orange;
    }
}